export interface INeo4jOptions {
    protocol?: Neo4jConnectionProtocol;
    host: string;
    port?: number;
    connectionLimit?: number;
    connectionTimeout?: number;
    authentication?: IClientAuthentican;
    logLevel?: LogLevel;
    logTimed?: boolean;
    stringFormatter?: (value: string) => string;
}
export declare enum Neo4jConnectionProtocol {
    BOLT = "bolt"
}
export declare enum LogLevel {
    ALL = 0,
    ERROR = 1,
    NONE = 2
}
export interface IClientAuthentican {
    username?: string;
    password?: string;
    ticket?: string;
}
//# sourceMappingURL=options.interface.d.ts.map