import * as Neo4j from "neo4j-driver";
import { IQueryOptions } from "../types/query_options.interface";
import { INeo4jSessionOptions, INeo4jSession } from "../types/session.interface";
export declare class Neo4jBoltSession implements INeo4jSession {
    private session;
    private options;
    constructor(session: Neo4j.Session, options: INeo4jSessionOptions);
    execute(query: string, options?: IQueryOptions): Promise<any>;
    execWithParams(query: string, params: Record<string, any>, options?: IQueryOptions): Promise<any>;
    commit(): Promise<void>;
    rollback(): Promise<void>;
    isOpen(): boolean;
}
//# sourceMappingURL=bolt_session.d.ts.map